<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yeejoin.amos.fas.business.dao.mapper.PlanDocMapper">

  <update id="updateIsDeleteByPlanIdList" parameterType="list">
    UPDATE c_plan_doc SET is_delete = #{isDelete} WHERE plan_id IN
    <foreach collection="planIdList" separator="," item="planId" open="(" close=")">
      #{planId}
    </foreach>
  </update>
  
  <update id="logicDeleteByDocIdList" parameterType="list">
    UPDATE c_plan_doc SET is_delete = 1 WHERE doc_id IN
    <foreach collection="docIdList" separator="," item="docId" open="(" close=")">
      #{docId}
    </foreach>
  </update>
</mapper>